/*
 * fotograma.java
 *
 * Created on 5 de agosto de 2006, 10:48
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package dectecmovimiento;
import java.awt.Color;
import java.awt.image.*;
import java.io.File;
import java.net.URL;
import javax.imageio.ImageIO;
import javax.swing.ImageIcon;
import javax.swing.Timer;
import java.awt.Color;

import java.util.Observable;
import java.util.Observer;
import java.awt.event.*;
import java.util.Date;

/**
 *
 * @author Administrador
 */
public class fotograma {
    
    private BufferedImage img1 = null;
    private File leeImagen;
    private String[] listaArchivos;
    private File fichero;
    private Matriz matrizIMG;
    private int largoArchivos;
    private int contIMG;
    private int contIMGlabel;
    
    private int sizeMatriz;
    
    
    /** Creates a new instance of fotograma */
    public fotograma(int seccion) {
      
        matrizIMG = new Matriz(seccion);
        contIMG = new Integer(0);
        contIMGlabel = new Integer(0);//metodo getname
        sizeMatriz = seccion;

    }
    
    public void fotogramRead(){
        
        Color a;
        
//        for(int i=0; i<listaArchivos.length; i++) System.out.println(listaArchivos[i]);
        
        try {
            leeImagen = new File("imagenes/bono.jpg");
            img1 = ImageIO.read(leeImagen);
            System.out.println("Imagen leida");
       
        } catch (Exception e) {
          System.out.println("No se pudo cargar la imagen ");
          System.exit(0);
        }
        
        for(int i1 = 0; i1 < sizeMatriz; i1++)
            for(int i2 = 0; i2 < sizeMatriz; i2++){
                  matrizIMG.setValue(i1, i2, img1.getRGB(i1, i2));
                  a = new Color(img1.getRGB(i1, i2));
                  System.out.println(a.getRed()+"\t");
            }
}
    
    public String getName(){
        
        //for(int i=0; i<listaArchivos.length; i++) System.out.println(listaArchivos[i]);
        //System.out.println(contIMGlabel);
        if( (contIMGlabel+1) == largoArchivos ) contIMGlabel = 0;
        return "img/"+listaArchivos[contIMGlabel++];
    }
    


    
    
    
    
    
    
    
    public void printMatriz(Matriz mat){
    StringBuffer sb = new StringBuffer("");
    
        for(int i=0;i<mat.getLength();i++){
            for(int j=0;j<mat.getLength();j++)
                sb.append(mat.getValue(i,j)+" ");
            sb.append("\n");
        }
        System.out.println(sb);
    }
}
